View Issue Details

IDProjectCategoryView StatusLast Update
09770Bug reportsImport/Exportpublic2015-07-24 11:44
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Fixed in Version2.06+ 
Summary09770: Unable to import old responses with PHP 5.4
DescriptionWhen try to import an old responses table : white page
Steps To ReproduceFound a PHP 5.4, try to import an ol response table
Additional InformationDebug 2:
 Fatal error: Class 'LimesurveyApi' not found in ./application/core/LSYii_Application.php on line 195

Try to import LimeSUrveyApi if not exist :

 Fatal error: include(): Cannot redeclare class ls\pluginmanager\limesurveyapi in ./framework/YiiBase.php on line 401
TagsNo tags attached.
Complete LimeSurvey version number (& build)150710
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmysql 5
Server OS (if known)debian/linux
Webserver software & version (if known)apache
PHP VersionPHP Version 5.4.41-0+deb7u1

Activities

Mazi

Mazi

2015-07-10 10:46

partner   ~32668

A similar error message shows up at the last step (optional settings) of the installion using PHP 5.3:
Could not add optional settings: exception 'CException' with message 'Alias "ls.pluginmanager" is invalid. Make sure it points to an existing directory or file.' in /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/YiiBase.php:295
Stack trace:
#0 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/YiiBase.php(196): YiiBase::import('\ls\pluginmanag...', true)
#1 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/base/CModule.php(386): YiiBase::createComponent(Array)
#2 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/core/LSYii_Application.php(204): CModule->getComponent('pluginManager')
#3 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/models/behaviors/PluginEventBehavior.php(57): LSYii_Application->getPluginManager()
#4 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/models/behaviors/PluginEventBehavior.php(35): PluginEventBehavior->dispatchPluginModelEvent('beforeUserSave')
#5 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/base/CComponent.php(561): PluginEventBehavior->beforeSave(Object(CModelEvent))
#6 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/db/ar/CActiveRecord.php(840): CComponent->raiseEvent('onBeforeSave', Object(CModelEvent))
#7 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/db/ar/CActiveRecord.php(942): CActiveRecord->onBeforeSave(Object(CModelEvent))
#8 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/models/User.php(182): CActiveRecord->beforeSave()
#9 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/db/ar/CActiveRecord.php(1071): User->beforeSave()
#10 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/db/ar/CActiveRecord.php(806): CActiveRecord->insert(NULL)
#11 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/controllers/InstallerController.php(676): CActiveRecord->save()
#12 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/application/controllers/InstallerController.php(83): InstallerController->stepOptionalConfiguration()
#13 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/web/CWebApplication.php(282): InstallerController->run('optional')
#14 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/web/CWebApplication.php(141): CWebApplication->runController('installer/optio...')
#15 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/framework/base/CApplication.php(184): CWebApplication->processRequest()
#16 /var/www/vhosts/mysurveyhosting.com/httpdocs/ls206/index.php(211): CApplication->run()
#17 {main}.


-> Missing PHP 5.3/5.4 compatibility?
DenisChenu

DenisChenu

2015-07-15 10:51

developer   ~32692

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15567
DenisChenu

DenisChenu

2015-07-15 10:52

developer   ~32693

@Mazi : seems another situation, please report another bug :)
Mazi

Mazi

2015-07-15 11:13

partner   ~32694

@Denis: Done -> https://bugs.limesurvey.org/view.php?id=9775
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32788

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master bac5b2cb

2015-07-15 08:51:08

DenisChenu

Details Diff
Fixed issue 09770: Unable to import old responses table
Dev: fix autoloader
Affected Issues
09770
mod - application/core/LSYii_Application.php Diff File

Issue History

Date Modified Username Field Change
2015-07-10 09:24 DenisChenu New Issue
2015-07-10 10:46 Mazi Note Added: 32668
2015-07-15 10:51 DenisChenu Changeset attached => LimeSurvey master bac5b2cb
2015-07-15 10:51 DenisChenu Note Added: 32692
2015-07-15 10:51 DenisChenu Assigned To => DenisChenu
2015-07-15 10:51 DenisChenu Resolution open => fixed
2015-07-15 10:52 DenisChenu Note Added: 32693
2015-07-15 10:52 DenisChenu Status new => resolved
2015-07-15 10:52 DenisChenu Fixed in Version => 2.06+
2015-07-15 11:13 Mazi Note Added: 32694
2015-07-24 11:44 c_schmitz Note Added: 32788
2015-07-24 11:44 c_schmitz Status resolved => closed